setlocal
echo off

del *.c.*.h

rem to avoid a 'two copy' problem
rem simply copy these files on every test run
set src=..\..\WebApps\ETpuImageBuilder\Source\etpu\_etpu_set
copy %src%\ETEC_fs_func_set.c /y
copy %src%\etpuc_asac.c /y
copy %src%\etpuc_acimvhz.c /y
copy %src%\etpuc_acimvc.c /y
copy %src%\etpuc_bc.c /y
copy %src%\etpuc_gpio.c /y
copy %src%\etpuc_pwmf.c /y
copy %src%\etpuc_pwmmac.c /y
copy %src%\etpuc_pwmm.h /y
copy %src%\etpuc_pmsmvc.c /y
copy %src%\etpuc_qd.c /y
copy %src%\etpuc_sc.c /y
copy %src%\etpuc_mc_ctrl.c /y
copy %src%\etpuc_mc_ctrl.h /y
copy %src%\etpuc_mc_elim.c /y
copy %src%\etpuc_mc_ramp.c /y
copy %src%\etpuc_mc_ramp.h /y
copy %src%\etpuc_mc_sin.c /y
copy %src%\etpuc_mc_sin.h /y
copy %src%\etpuc_mc_tran.c /y
copy %src%\etpuc_mc_tran.h /y
copy %src%\etpuc_mc_util.c /y

set DEVTOOL=%TEST_BED_BIN_DIR%\DevTool.exe
if exist %DEVTOOL% goto CheckDevToolPathingSuccess

set DEVTOOL=..\..\Builds\DevTool.exe
if exist %DEVTOOL% goto CheckDevToolPathingSuccess

echo *************************************************
echo UNABLE TO FIND THE DEVELOPMENT TOOL!
echo *************************************************
goto errors

:CheckDevToolPathingSuccess

echo .
echo %DEVTOOL%
echo .

echo .
echo Building using Mk.bat
call Mk.bat -ForceDemo
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running DevTool Demo Test ...
%DEVTOOL% -p=Proj.ETpuIdeProj -AutoRun -AutoBuild  -ForceDemoIde  -ForceDemoEtec -minimize
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Demo Test Passes

goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end
exit /b 0